For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
        • POSTCreate folder
        • POSTMove document
        • POSTBulk move documents
      • GETSearch knowledge base
      • GETGet dependent agents
      • GETGet knowledge base size
      • GETGet knowledge base summaries
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsKnowledge BaseFolders

Create folder

POST
/v1/convai/knowledge-base/folder
POST
/v1/convai/knowledge-base/folder
$curl -X POST https://api.elevenlabs.io/v1/convai/knowledge-base/folder \
> -H "Content-Type: application/json" \
> -d '{
> "name": "string"
>}'
1{
2 "id": "string",
3 "name": "string",
4 "folder_path": [
5 {
6 "id": "string"
7 }
8 ]
9}
Create a folder used for grouping documents together.
Was this page helpful?
Previous

Move document

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
namestringRequired>=1 character

A custom, human-readable name for the document.

parent_folder_idstring or nullOptional
If set, the created document or folder will be placed inside the given folder.
enable_auto_syncbooleanOptionalDefaults to false

Whether to enable auto-sync for this URL document.

auto_removebooleanOptionalDefaults to false

Whether to automatically remove the document if the URL becomes unavailable. Only applicable when auto-sync is enabled.

Response

Successful Response
idstring
namestring
folder_pathlist of objects
The folder path segments leading to this entity, from root to parent folder.

Errors

422
Unprocessable Entity Error